ploneorgbr avatar ploneorgbr committed 4c69fb6

Commit inicial

Comments (0)

Files changed (42)

+recursive-include ploneorgbr *
+recursive-include docs *
+recursive-include mo *
+global-exclude *pyc
+Introduction
+============
+
+
+
+This product may contain traces of nuts.
+Changelog
+=========
+
+0.5 - Unreleased
+----------------
+
+* Initial release
+ploneorgbr.portal.policy Installation
+==========================
+
+To install ploneorgbr.portal.policy into the global Python environment (or a workingenv),
+using a traditional Zope 2 instance, you can do this:
+
+ * When you're reading this you have probably already run 
+   ``easy_install ploneorgbr.portal.policy``. Find out how to install setuptools
+   (and EasyInstall) here:
+   http://peak.telecommunity.com/DevCenter/EasyInstall
+
+ * If you are using Zope 2.9 (not 2.10), get `pythonproducts`_ and install it 
+   via::
+
+       python setup.py install --home /path/to/instance
+
+   into your Zope instance.
+
+ * Create a file called ``ploneorgbr.portal.policy-configure.zcml`` in the
+   ``/path/to/instance/etc/package-includes`` directory.  The file
+   should only contain this::
+
+       <include package="ploneorgbr.policy" />
+
+.. _pythonproducts: http://plone.org/products/pythonproducts
+
+
+Alternatively, if you are using zc.buildout and the plone.recipe.zope2instance
+recipe to manage your project, you can do this:
+
+ * Add ``ploneorgbr.portal.policy`` to the list of eggs to install, e.g.:
+ 
+    [buildout]
+    ...
+    eggs =
+        ...
+        ploneorgbr.portal.policy
+        
+  * Tell the plone.recipe.zope2instance recipe to install a ZCML slug:
+  
+    [instance]
+    recipe = plone.recipe.zope2instance
+    ...
+    zcml =
+        ploneorgbr.portal.policy
+        
+  * Re-run buildout, e.g. with:
+  
+    $ ./bin/buildout
+        
+You can skip the ZCML slug if you are going to explicitly include the package
+from another package's configure.zcml file.
+		    GNU GENERAL PUBLIC LICENSE
+   TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION
+
+  0. This License applies to any program or other work which contains
+a notice placed by the copyright holder saying it may be distributed
+under the terms of this General Public License.  The "Program", below,
+refers to any such program or work, and a "work based on the Program"
+means either the Program or any derivative work under copyright law:
+that is to say, a work containing the Program or a portion of it,
+either verbatim or with modifications and/or translated into another
+language.  (Hereinafter, translation is included without limitation in
+the term "modification".)  Each licensee is addressed as "you".
+
+Activities other than copying, distribution and modification are not
+covered by this License; they are outside its scope.  The act of
+running the Program is not restricted, and the output from the Program
+is covered only if its contents constitute a work based on the
+Program (independent of having been made by running the Program).
+Whether that is true depends on what the Program does.
+
+  1. You may copy and distribute verbatim copies of the Program's
+source code as you receive it, in any medium, provided that you
+conspicuously and appropriately publish on each copy an appropriate
+copyright notice and disclaimer of warranty; keep intact all the
+notices that refer to this License and to the absence of any warranty;
+and give any other recipients of the Program a copy of this License
+along with the Program.
+
+You may charge a fee for the physical act of transferring a copy, and
+you may at your option offer warranty protection in exchange for a fee.
+
+  2. You may modify your copy or copies of the Program or any portion
+of it, thus forming a work based on the Program, and copy and
+distribute such modifications or work under the terms of Section 1
+above, provided that you also meet all of these conditions:
+
+    a) You must cause the modified files to carry prominent notices
+    stating that you changed the files and the date of any change.
+
+    b) You must cause any work that you distribute or publish, that in
+    whole or in part contains or is derived from the Program or any
+    part thereof, to be licensed as a whole at no charge to all third
+    parties under the terms of this License.
+
+    c) If the modified program normally reads commands interactively
+    when run, you must cause it, when started running for such
+    interactive use in the most ordinary way, to print or display an
+    announcement including an appropriate copyright notice and a
+    notice that there is no warranty (or else, saying that you provide
+    a warranty) and that users may redistribute the program under
+    these conditions, and telling the user how to view a copy of this
+    License.  (Exception: if the Program itself is interactive but
+    does not normally print such an announcement, your work based on
+    the Program is not required to print an announcement.)
+
+These requirements apply to the modified work as a whole.  If
+identifiable sections of that work are not derived from the Program,
+and can be reasonably considered independent and separate works in
+themselves, then this License, and its terms, do not apply to those
+sections when you distribute them as separate works.  But when you
+distribute the same sections as part of a whole which is a work based
+on the Program, the distribution of the whole must be on the terms of
+this License, whose permissions for other licensees extend to the
+entire whole, and thus to each and every part regardless of who wrote it.
+
+Thus, it is not the intent of this section to claim rights or contest
+your rights to work written entirely by you; rather, the intent is to
+exercise the right to control the distribution of derivative or
+collective works based on the Program.
+
+In addition, mere aggregation of another work not based on the Program
+with the Program (or with a work based on the Program) on a volume of
+a storage or distribution medium does not bring the other work under
+the scope of this License.
+
+  3. You may copy and distribute the Program (or a work based on it,
+under Section 2) in object code or executable form under the terms of
+Sections 1 and 2 above provided that you also do one of the following:
+
+    a) Accompany it with the complete corresponding machine-readable
+    source code, which must be distributed under the terms of Sections
+    1 and 2 above on a medium customarily used for software interchange; or,
+
+    b) Accompany it with a written offer, valid for at least three
+    years, to give any third party, for a charge no more than your
+    cost of physically performing source distribution, a complete
+    machine-readable copy of the corresponding source code, to be
+    distributed under the terms of Sections 1 and 2 above on a medium
+    customarily used for software interchange; or,
+
+    c) Accompany it with the information you received as to the offer
+    to distribute corresponding source code.  (This alternative is
+    allowed only for noncommercial distribution and only if you
+    received the program in object code or executable form with such
+    an offer, in accord with Subsection b above.)
+
+The source code for a work means the preferred form of the work for
+making modifications to it.  For an executable work, complete source
+code means all the source code for all modules it contains, plus any
+associated interface definition files, plus the scripts used to
+control compilation and installation of the executable.  However, as a
+special exception, the source code distributed need not include
+anything that is normally distributed (in either source or binary
+form) with the major components (compiler, kernel, and so on) of the
+operating system on which the executable runs, unless that component
+itself accompanies the executable.
+
+If distribution of executable or object code is made by offering
+access to copy from a designated place, then offering equivalent
+access to copy the source code from the same place counts as
+distribution of the source code, even though third parties are not
+compelled to copy the source along with the object code.
+
+  4. You may not copy, modify, sublicense, or distribute the Program
+except as expressly provided under this License.  Any attempt
+otherwise to copy, modify, sublicense or distribute the Program is
+void, and will automatically terminate your rights under this License.
+However, parties who have received copies, or rights, from you under
+this License will not have their licenses terminated so long as such
+parties remain in full compliance.
+
+  5. You are not required to accept this License, since you have not
+signed it.  However, nothing else grants you permission to modify or
+distribute the Program or its derivative works.  These actions are
+prohibited by law if you do not accept this License.  Therefore, by
+modifying or distributing the Program (or any work based on the
+Program), you indicate your acceptance of this License to do so, and
+all its terms and conditions for copying, distributing or modifying
+the Program or works based on it.
+
+  6. Each time you redistribute the Program (or any work based on the
+Program), the recipient automatically receives a license from the
+original licensor to copy, distribute or modify the Program subject to
+these terms and conditions.  You may not impose any further
+restrictions on the recipients' exercise of the rights granted herein.
+You are not responsible for enforcing compliance by third parties to
+this License.
+
+  7. If, as a consequence of a court judgment or allegation of patent
+infringement or for any other reason (not limited to patent issues),
+conditions are imposed on you (whether by court order, agreement or
+otherwise) that contradict the conditions of this License, they do not
+excuse you from the conditions of this License.  If you cannot
+distribute so as to satisfy simultaneously your obligations under this
+License and any other pertinent obligations, then as a consequence you
+may not distribute the Program at all.  For example, if a patent
+license would not permit royalty-free redistribution of the Program by
+all those who receive copies directly or indirectly through you, then
+the only way you could satisfy both it and this License would be to
+refrain entirely from distribution of the Program.
+
+If any portion of this section is held invalid or unenforceable under
+any particular circumstance, the balance of the section is intended to
+apply and the section as a whole is intended to apply in other
+circumstances.
+
+It is not the purpose of this section to induce you to infringe any
+patents or other property right claims or to contest validity of any
+such claims; this section has the sole purpose of protecting the
+integrity of the free software distribution system, which is
+implemented by public license practices.  Many people have made
+generous contributions to the wide range of software distributed
+through that system in reliance on consistent application of that
+system; it is up to the author/donor to decide if he or she is willing
+to distribute software through any other system and a licensee cannot
+impose that choice.
+
+This section is intended to make thoroughly clear what is believed to
+be a consequence of the rest of this License.
+
+  8. If the distribution and/or use of the Program is restricted in
+certain countries either by patents or by copyrighted interfaces, the
+original copyright holder who places the Program under this License
+may add an explicit geographical distribution limitation excluding
+those countries, so that distribution is permitted only in or among
+countries not thus excluded.  In such case, this License incorporates
+the limitation as if written in the body of this License.
+
+  9. The Free Software Foundation may publish revised and/or new versions
+of the General Public License from time to time.  Such new versions will
+be similar in spirit to the present version, but may differ in detail to
+address new problems or concerns.
+
+Each version is given a distinguishing version number.  If the Program
+specifies a version number of this License which applies to it and "any
+later version", you have the option of following the terms and conditions
+either of that version or of any later version published by the Free
+Software Foundation.  If the Program does not specify a version number of
+this License, you may choose any version ever published by the Free Software
+Foundation.
+
+  10. If you wish to incorporate parts of the Program into other free
+programs whose distribution conditions are different, write to the author
+to ask for permission.  For software which is copyrighted by the Free
+Software Foundation, write to the Free Software Foundation; we sometimes
+make exceptions for this.  Our decision will be guided by the two goals
+of preserving the free status of all derivatives of our free software and
+of promoting the sharing and reuse of software generally.
+
+			    NO WARRANTY
+
+  11. BECAUSE THE PROGRAM IS LICENSED FREE OF CHARGE, THERE IS NO WARRANTY
+FOR THE PROGRAM, TO THE EXTENT PERMITTED BY APPLICABLE LAW.  EXCEPT WHEN
+OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES
+PROVIDE THE PROGRAM "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED
+OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.  THE ENTIRE RISK AS
+TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU.  SHOULD THE
+PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING,
+REPAIR OR CORRECTION.
+
+  12. IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING
+WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MAY MODIFY AND/OR
+REDISTRIBUTE THE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES,
+INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING
+OUT OF THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING BUT NOT LIMITED
+TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY
+YOU OR THIRD PARTIES OR A FAILURE OF THE PROGRAM TO OPERATE WITH ANY OTHER
+PROGRAMS), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE
+POSSIBILITY OF SUCH DAMAGES.
+
+		     END OF TERMS AND CONDITIONS
+  ploneorgbr.portal.policy is copyright 
+
+  This program is free software; you can redistribute it and/or modify
+  it under the terms of the GNU General Public License as published by
+  the Free Software Foundation; either version 2 of the License, or
+  (at your option) any later version.
+
+  This program is distributed in the hope that it will be useful,
+  but WITHOUT ANY WARRANTY; without even the implied warranty of
+  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+  GNU General Public License for more details.
+
+  You should have received a copy of the GNU General Public License
+  along with this program; if not, write to the Free Software
+  Foundation, Inc., 59 Temple Place, Suite 330, Boston, 
+  MA 02111-1307 USA.

ploneorgbr.portal.policy.egg-info/PKG-INFO

+Metadata-Version: 1.0
+Name: ploneorgbr.portal.policy
+Version: 0.5
+Summary: UNKNOWN
+Home-page: http://svn.plone.org/svn/collective/
+Author: UNKNOWN
+Author-email: UNKNOWN
+License: GPL
+Description: .. contents:: Table of Contents
+           :depth: 2
+        
+        ploneorgbr.portal.policy
+        ****************************************
+        
+        Overview
+        --------
+        
+        Requirements
+        ------------
+        
+            - Plone >=3.2.x (http://plone.org/products/plone)
+            
+        Installation
+        ------------
+            
+        To enable this product,on a buildout based installation:
+        
+            1. Edit your buildout.cfg and add ``ploneorgbr.portal.policy``
+               to the list of eggs to install ::
+        
+                [buildout]
+                ...
+                eggs = 
+                    ploneorgbr.portal.policy
+        
+            2. Tell the plone.recipe.zope2instance recipe to install a ZCML slug::
+        
+                [instance]
+                ...
+                zcml = 
+                    ...
+                    ploneorgbr.portal.policy
+            
+        
+        If another package depends on the ploneorgbr.portal.policy egg or 
+        includes its zcml directly you do not need to specify anything in the 
+        buildout configuration: buildout will detect this automatically.
+        
+        After updating the configuration you need to run the ''bin/buildout'',
+        which will take care of updating your system.
+        
+        Go to the 'Site Setup' page in the Plone interface and click on the
+        'Add/Remove Products' link.
+        
+        Choose the product (check its checkbox) and click the 'Install' button.
+        
+        Uninstall -- This can be done from the same management screen, but only
+        if you installed it from the quick installer.
+        
+        Note: You may have to empty your browser cache and save your resource registries
+        in order to see the effects of the product installation.
+        
+        Sponsoring
+        ----------
+        
+        Development of this product was sponsored by `Simples Consultoria 
+        <http://www.simplesconsultoria.com.br/>`_.
+        
+        
+        Credits
+        -------
+        
+            * Simples Consultoria (products at simplesconsultoria dot com dot br) - 
+              Implementation
+            
+        
+        Changelog
+        =========
+        
+        0.5 - Unreleased
+        ----------------
+        
+        * Initial release
+        
+Platform: UNKNOWN
+Classifier: Framework :: Plone
+Classifier: Framework :: Zope2
+Classifier: Framework :: Zope3
+Classifier: Programming Language :: Python
+Classifier: Topic :: Software Development :: Libraries :: Python Modules

ploneorgbr.portal.policy.egg-info/SOURCES.txt

+MANIFEST.in
+README.txt
+setup.cfg
+setup.py
+docs/HISTORY.txt
+docs/INSTALL.txt
+docs/LICENSE.GPL
+docs/LICENSE.txt
+ploneorgbr/__init__.py
+ploneorgbr.portal.policy.egg-info/PKG-INFO
+ploneorgbr.portal.policy.egg-info/SOURCES.txt
+ploneorgbr.portal.policy.egg-info/dependency_links.txt
+ploneorgbr.portal.policy.egg-info/entry_points.txt
+ploneorgbr.portal.policy.egg-info/namespace_packages.txt
+ploneorgbr.portal.policy.egg-info/not-zip-safe
+ploneorgbr.portal.policy.egg-info/requires.txt
+ploneorgbr.portal.policy.egg-info/top_level.txt
+ploneorgbr/portal/__init__.py
+ploneorgbr/portal/policy/README.txt
+ploneorgbr/portal/policy/__init__.py
+ploneorgbr/portal/policy/config.py
+ploneorgbr/portal/policy/configure.zcml
+ploneorgbr/portal/policy/dependencies.zcml
+ploneorgbr/portal/policy/quickinstaller.py
+ploneorgbr/portal/policy/setuphandlers.py
+ploneorgbr/portal/policy/tests.py
+ploneorgbr/portal/policy/version.txt
+ploneorgbr/portal/policy/browser/__init__.py
+ploneorgbr/portal/policy/browser/configure.zcml
+ploneorgbr/portal/policy/docs/__init__.py
+ploneorgbr/portal/policy/docs/browser.txt
+ploneorgbr/portal/policy/locales/manual.pot
+ploneorgbr/portal/policy/locales/ploneorgbr.portal.policy.pot
+ploneorgbr/portal/policy/locales/rebuildAll.sh
+ploneorgbr/portal/policy/locales/pt_BR/LC_MESSAGES/ploneorgbr.portal.policy.po
+ploneorgbr/portal/policy/profiles/default/import_steps.xml
+ploneorgbr/portal/policy/profiles/default/metadata.xml
+ploneorgbr/portal/policy/profiles/default/ploneorgbr.portal.policy.txt
+ploneorgbr/portal/policy/profiles/uninstall/ploneorgbr.portal.policy.txt
+ploneorgbr/portal/policy/upgrades/__init__.py
+ploneorgbr/portal/policy/upgrades/configure.zcml
+ploneorgbr/portal/policy/upgrades/to01.py

ploneorgbr.portal.policy.egg-info/dependency_links.txt

+

ploneorgbr.portal.policy.egg-info/entry_points.txt

+
+      # -*- Entry points: -*-
+
+      [z3c.autoinclude.plugin]
+      target = plone
+      

ploneorgbr.portal.policy.egg-info/namespace_packages.txt

+ploneorgbr
+ploneorgbr.portal

ploneorgbr.portal.policy.egg-info/not-zip-safe

+

ploneorgbr.portal.policy.egg-info/requires.txt

+setuptools

ploneorgbr.portal.policy.egg-info/top_level.txt

+ploneorgbr

ploneorgbr/__init__.py

+# See http://peak.telecommunity.com/DevCenter/setuptools#namespace-packages
+try:
+    __import__('pkg_resources').declare_namespace(__name__)
+except ImportError:
+    from pkgutil import extend_path
+    __path__ = extend_path(__path__, __name__)

ploneorgbr/portal/__init__.py

+# See http://peak.telecommunity.com/DevCenter/setuptools#namespace-packages
+try:
+    __import__('pkg_resources').declare_namespace(__name__)
+except ImportError:
+    from pkgutil import extend_path
+    __path__ = extend_path(__path__, __name__)

ploneorgbr/portal/policy/README.txt

+.. contents:: Table of Contents
+   :depth: 2
+
+ploneorgbr.portal.policy
+****************************************
+
+Overview
+--------
+
+Requirements
+------------
+
+    - Plone >=3.2.x (http://plone.org/products/plone)
+    
+Installation
+------------
+    
+To enable this product,on a buildout based installation:
+
+    1. Edit your buildout.cfg and add ``ploneorgbr.portal.policy``
+       to the list of eggs to install ::
+
+        [buildout]
+        ...
+        eggs = 
+            ploneorgbr.portal.policy
+
+    2. Tell the plone.recipe.zope2instance recipe to install a ZCML slug::
+
+        [instance]
+        ...
+        zcml = 
+            ...
+            ploneorgbr.portal.policy
+    
+
+If another package depends on the ploneorgbr.portal.policy egg or 
+includes its zcml directly you do not need to specify anything in the 
+buildout configuration: buildout will detect this automatically.
+
+After updating the configuration you need to run the ''bin/buildout'',
+which will take care of updating your system.
+
+Go to the 'Site Setup' page in the Plone interface and click on the
+'Add/Remove Products' link.
+
+Choose the product (check its checkbox) and click the 'Install' button.
+
+Uninstall -- This can be done from the same management screen, but only
+if you installed it from the quick installer.
+
+Note: You may have to empty your browser cache and save your resource registries
+in order to see the effects of the product installation.
+
+Sponsoring
+----------
+
+Development of this product was sponsored by `Simples Consultoria 
+<http://www.simplesconsultoria.com.br/>`_.
+
+
+Credits
+-------
+
+    * Simples Consultoria (products at simplesconsultoria dot com dot br) - 
+      Implementation
+    

ploneorgbr/portal/policy/__init__.py

+# -*- coding: utf-8 -*-
+
+from zope.i18nmessageid import MessageFactory as BaseMessageFactory
+MessageFactory = BaseMessageFactory('ploneorgbr.portal.policy')
+
+def initialize(context):
+    """Initializer called when used as a Zope 2 product."""

ploneorgbr/portal/policy/browser/__init__.py

+# -*- coding: utf-8 -*-
+

ploneorgbr/portal/policy/browser/configure.zcml

+<configure
+    xmlns="http://namespaces.zope.org/zope"
+    xmlns:five="http://namespaces.zope.org/five"
+    xmlns:genericsetup="http://namespaces.zope.org/genericsetup"
+    xmlns:i18n="http://namespaces.zope.org/i18n"
+    xmlns:browser="http://namespaces.zope.org/browser"
+    i18n_domain="ploneorgbr.portal.policy">
+    
+</configure>

ploneorgbr/portal/policy/config.py

+# -*- coding: utf-8 -*-
+# File: config.py
+
+
+__author__ = """Simples Consultoria <products@simplesconsultoria.com.br>"""
+__docformat__ = 'plaintext'
+
+# PRODUCTS format 
+# (name,locked,hidden,install,profile,runProfile)
+
+PRODUCTS=[
+#         ('beyondskins.portal.policy',0,1,1,'beyondskins.portal.policy:default',0),
+#         ('plone.app.blob',0,1,1,'plone.app.blob:default',1),
+#         ('plone.app.imaging',0,1,1,'plone.app.imaging',1),
+         ]

ploneorgbr/portal/policy/configure.zcml

+<configure
+    xmlns="http://namespaces.zope.org/zope"
+    xmlns:five="http://namespaces.zope.org/five"
+    xmlns:genericsetup="http://namespaces.zope.org/genericsetup"
+    xmlns:i18n="http://namespaces.zope.org/i18n"
+    i18n_domain="ploneorgbr.portal.policy">
+
+    <five:registerPackage package="." initialize=".initialize" />
+
+    <include package=".browser" />
+    <include file="dependencies.zcml" />
+    
+    <genericsetup:registerProfile
+        name="default"
+        title="ploneorgbr.portal.policy"
+        directory="profiles/default"
+        description="ploneorgbr.portal.policy"
+        provides="Products.GenericSetup.interfaces.EXTENSION"
+        i18n:attributes="title; description"
+        />
+
+    <genericsetup:registerProfile
+        name="uninstall"
+        title="ploneorgbr.portal.policy"
+        directory="profiles/uninstall"
+        description="Uninstall ploneorgbr.portal.policy"
+        provides="Products.GenericSetup.interfaces.EXTENSION"
+        i18n:attributes="title; description"
+        />
+        
+    <i18n:registerTranslations directory="locales" />
+    
+    <!-- Oculta produtos no quickinstaller -->
+    <utility factory=".quickinstaller.HiddenProfiles"
+             name="ploneorgbr.portal.policy" />
+    <utility factory=".quickinstaller.HiddenProducts"
+             name="ploneorgbr.portal.policy" />
+    
+    <include package=".upgrades" />
+</configure>

ploneorgbr/portal/policy/dependencies.zcml

+<configure
+    xmlns="http://namespaces.zope.org/zope"
+    xmlns:five="http://namespaces.zope.org/five"
+    xmlns:genericsetup="http://namespaces.zope.org/genericsetup"
+    xmlns:i18n="http://namespaces.zope.org/i18n"
+    i18n_domain="ploneorgbr.portal.policy">
+
+    <!-- Inclua produtos referenciados no setup.py
+    <include package="beyondskins.portal.policy" />
+    -->
+
+</configure>

ploneorgbr/portal/policy/docs/__init__.py

+#

ploneorgbr/portal/policy/docs/browser.txt

+Accessing as portal owner
+-------------------------
+
+  >>> from Products.Five.testbrowser import Browser
+  >>> from Testing.ZopeTestCase import user_password
+  >>> browser = Browser()
+  >>> browser.addHeader('Authorization',
+  ...                   'Basic %s:%s' % ('portal_owner', user_password))

ploneorgbr/portal/policy/locales/manual.pot

+msgid ""
+msgstr ""
+"Project-Id-Version: PACKAGE VERSION\n"
+"POT-Creation-Date: 2009-02-27 17:16+0000\n"
+"PO-Revision-Date: YEAR-MO-DA HO:MI +ZONE\n"
+"Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
+"Language-Team: LANGUAGE <LL@li.org>\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=utf-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"Plural-Forms: nplurals=1; plural=0\n"
+"Language-Code: en\n"
+"Language-Name: English\n"
+"Preferred-Encodings: utf-8 latin1\n"
+"Domain: DOMAIN\n"
+

ploneorgbr/portal/policy/locales/ploneorgbr.portal.policy.pot

+msgid ""
+msgstr ""
+"Project-Id-Version: PACKAGE VERSION\n"
+"POT-Creation-Date: 2009-02-27 17:49+0000\n"
+"PO-Revision-Date: YEAR-MO-DA HO:MI +ZONE\n"
+"Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
+"Language-Team: LANGUAGE <LL@li.org>\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=utf-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"Plural-Forms: nplurals=1; plural=0\n"
+"Language-Code: en\n"
+"Language-Name: English\n"
+"Preferred-Encodings: utf-8 latin1\n"
+"Domain: ploneorgbr.portal.policy\n"
+

ploneorgbr/portal/policy/locales/pt_BR/LC_MESSAGES/ploneorgbr.portal.policy.po

+msgid ""
+msgstr ""
+"Project-Id-Version: PACKAGE VERSION\n"
+"POT-Creation-Date: 2009-02-27 17:49+0000\n"
+"PO-Revision-Date: YEAR-MO-DA HO:MI +ZONE\n"
+"Last-Translator: Simples Consultoria <products@simplesconsultoria.com.br>\n"
+"Language-Team: Simples Consultoria <products@simplesconsultoria.com.br>\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=utf-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"Plural-Forms: nplurals=1; plural=0\n"
+"Language-Code: pt-br\n"
+"Language-Name: Brazilian Portuguese\n"
+"Preferred-Encodings: utf-8 latin1\n"
+"Domain: ploneorgbr.portal.policy\n"
+

ploneorgbr/portal/policy/locales/rebuildAll.sh

+#!/bin/bash
+# kudos to Products.Ploneboard for the base for this file
+# ensure that when something is wrong, nothing is broken more than it should...
+set -e
+
+# first, create some pot containing anything
+i18ndude rebuild-pot --pot ploneorgbr.portal.policy.pot --create ploneorgbr.portal.policy --merge manual.pot ..
+
+# finally, update the po files
+i18ndude sync --pot ploneorgbr.portal.policy.pot  `find . -iregex '.*\.po$'|grep -v plone`
+

ploneorgbr/portal/policy/profiles/default/import_steps.xml

+<?xml version="1.0"?>
+<import-steps>
+ <import-step id="ploneorgbr.portal.policy-upgrades" version="20100413-01"
+              handler="ploneorgbr.portal.policy.setuphandlers.doUpgrades"
+              title="Do upgrades">
+  <dependency step="plone_content" />
+  Do upgrades
+ </import-step>
+</import-steps>

ploneorgbr/portal/policy/profiles/default/metadata.xml

+<?xml version="1.0"?>
+<metadata>
+  <version>1.0</version>
+</metadata>

ploneorgbr/portal/policy/profiles/default/ploneorgbr.portal.policy.txt

+ploneorgbr.portal.policy

ploneorgbr/portal/policy/profiles/uninstall/ploneorgbr.portal.policy.txt

+ploneorgbr.portal.policy

ploneorgbr/portal/policy/quickinstaller.py

+from zope.interface import implements
+from Products.CMFQuickInstallerTool.interfaces import INonInstallable as INonInstallableProducts
+from Products.CMFPlone.interfaces import INonInstallable as INonInstallableProfiles
+
+from ploneorgbr.portal.policy.config import PRODUCTS
+
+def nonInstallableProducts(products):
+    ''' Given a list of product tuples formated as
+        (name,locked,hidden,install,profile,runProfile)
+        we return a list of names to be used by HiddenProducts
+    '''
+    pNames = [name for (name,locked,hidden,install,profile,runProfile) in products 
+                   if hidden]
+    pOldStyle = [name.replace('Products.','') for name in pNames 
+                                              if name.startswith('Products.')]
+    pNames = pOldStyle + pNames
+    return pNames
+
+def nonInstallableProfiles(products):
+    ''' Given a list of product tuples formated as
+        (name,locked,hidden,install,profile,runProfile)
+        we return a list of names to be used by HiddenProfiles
+    '''
+    pNames = [profile for (name,locked,hidden,install,profile,runProfile) in products 
+                   if hidden]
+    return pNames
+
+class HiddenProducts(object):
+    implements(INonInstallableProducts)
+    
+    def getNonInstallableProducts(self):
+        return nonInstallableProducts(PRODUCTS)
+
+class HiddenProfiles(object):
+    implements(INonInstallableProfiles)
+    
+    def getNonInstallableProfiles(self):
+        return nonInstallableProfiles(PRODUCTS)

ploneorgbr/portal/policy/setuphandlers.py

+# -*- coding: utf-8 -*-
+from zope import component
+import logging
+from Products.CMFCore.utils import getToolByName
+from Products.GenericSetup import interfaces as gsinterfaces
+from Products.GenericSetup.upgrade import listUpgradeSteps
+
+from Products.ZCatalog.ProgressHandler import ZLogHandler
+
+try:
+    from Products.CacheSetup import interfaces
+    from Products.CacheSetup.enabler import enableCacheFu
+    CACHEFU = True
+except ImportError:
+    CACHEFU = False
+
+_PROJECT = 'ploneorgbr.portal.policy'
+_PROFILE_ID = 'ploneorgbr.portal.policy:default'
+
+
+def doUpgrades(context):
+    ''' If exists, run migrations
+    '''
+    if context.readDataFile('ploneorgbr.portal.policy.txt') is None:
+        return
+    logger = logging.getLogger(_PROJECT)
+    site = context.getSite()
+    setup_tool = getToolByName(site,'portal_setup')
+    cache = CACHEFU and getToolByName(context,'portal_cache_settings',None)
+    version = setup_tool.getLastVersionForProfile(_PROFILE_ID)
+    upgradeSteps = listUpgradeSteps(setup_tool,_PROFILE_ID, version)
+    sorted(upgradeSteps,key=lambda step:step['sortkey'])
+    
+    if cache:
+        # Desabilitamos o cache fu para nao termos uma enxurrada
+        # de purges
+        cache.setEnabled(False)
+        
+    for step in upgradeSteps:
+        oStep = step.get('step')
+        if oStep is not None:
+            oStep.doStep(setup_tool)
+            msg = "Ran upgrade step %s for profile %s" % (oStep.title,
+                                                          _PROFILE_ID)
+            setup_tool.setLastVersionForProfile(_PROFILE_ID, oStep.dest)
+            logger.info(msg)
+    
+    if cache:
+        # Novamente habilitamos o cache fu para nao termos uma enxurrada
+        # de purges
+        cache.setEnabled(True)
+    

ploneorgbr/portal/policy/tests.py

+# -*- coding: utf-8 -*-
+import unittest
+import doctest
+
+from zope.testing import doctestunit
+from zope.component import testing
+from Testing import ZopeTestCase as ztc
+
+from Products.Five import zcml
+from Products.Five import fiveconfigure
+from Products.PloneTestCase import PloneTestCase as ptc
+from Products.PloneTestCase.layer import PloneSite
+from Products.PloneTestCase.layer import onsetup
+
+import ploneorgbr.portal.policy
+def hacked_import(name):
+    mod = __import__(name)
+    components = name.split('.')
+    for comp in components[1:]:
+        mod = getattr(mod, comp)
+    return mod
+
+@onsetup
+def setup_product():
+    fiveconfigure.debug_mode = True
+    zcml.load_config('configure.zcml',
+                     ploneorgbr.portal.policy)
+    fiveconfigure.debug_mode = False
+    ztc.installPackage('ploneorgbr.portal.policy')
+    #Loads all dependencies modules
+    for item in PRODUCTS:
+        module_name = item[0]
+        module = hacked_import(module_name)
+        try:
+            zcml.load_config('configure.zcml', module)
+        except IOError:
+            # Produto sem configure.zcml
+            continue
+    fiveconfigure.debug_mode = False
+    for item in PRODUCTS:
+        module_name = item[0]
+        if module_name.startswith('Products'):
+            module_name = module_name[9:]
+            ztc.installProduct(module_name)
+        else:
+            ztc.installPackage(module_name)
+    
+setup_product()
+
+ptc.setupPloneSite(products=['{namespace_package}.portal.policy'],
+                   extension_profiles=['{namespace_package}.portal.policy:default'])
+
+class TestCase(ptc.PloneTestCase):
+    class layer(PloneSite):
+
+        @classmethod
+        def tearDown(cls):
+            pass
+
+
+
+def test_suite():
+    return unittest.TestSuite([
+
+        # Unit tests
+        #doctestunit.DocFileSuite(
+        #    'README.txt', package='ploneorgbr.portal.policy',
+        #    setUp=testing.setUp, tearDown=testing.tearDown),
+
+        #doctestunit.DocTestSuite(
+        #    module='ploneorgbr.portal.policy.mymodule',
+        #    setUp=testing.setUp, tearDown=testing.tearDown),
+
+
+        # Integration tests that use PloneTestCase
+        ztc.ZopeDocFileSuite(
+            'README.txt', package='ploneorgbr.portal.policy.docs',
+            optionflags=doctest.REPORT_ONLY_FIRST_FAILURE | 
+                         doctest.NORMALIZE_WHITESPACE | 
+                         doctest.ELLIPSIS,
+            test_class=TestCase),
+
+        ztc.FunctionalDocFileSuite(
+            'browser.txt', 
+            package='ploneorgbr.portal.policy.docs',
+            optionflags=doctest.REPORT_ONLY_FIRST_FAILURE | 
+                        doctest.NORMALIZE_WHITESPACE | 
+                        doctest.ELLIPSIS,
+            test_class=TestCase),
+
+        ])
+
+if __name__ == '__main__':
+    unittest.main(defaultTest='test_suite')

ploneorgbr/portal/policy/upgrades/__init__.py

+# -*- coding: utf-8 -*-

ploneorgbr/portal/policy/upgrades/configure.zcml

+<configure
+    xmlns="http://namespaces.zope.org/zope"
+    xmlns:five="http://namespaces.zope.org/five"
+    xmlns:genericsetup="http://namespaces.zope.org/genericsetup"
+    xmlns:i18n="http://namespaces.zope.org/i18n"
+    i18n_domain="ploneorgbr.portal.policy">
+    
+    <!-- Upgrades-->
+    <genericsetup:upgradeStep
+        title="Upgrade for ploneorgbr.portal.policy"
+        description=""
+        source="0.0"
+        destination="1.0"
+        sortkey="1"
+        handler="ploneorgbr.portal.policy.upgrades.to01.upgrade0to1"
+        profile="ploneorgbr.portal.policy:default" />
+        
+</configure>

ploneorgbr/portal/policy/upgrades/to01.py

+# -*- coding: utf-8 -*-
+from zope import component
+import logging
+from Products.CMFCore.utils import getToolByName
+from Products.GenericSetup import interfaces as gsinterfaces
+from Products.GenericSetup.upgrade import listUpgradeSteps
+
+from Products.ZCatalog.ProgressHandler import ZLogHandler
+
+from ploneorgbr.portal.policy.config import PRODUCTS
+
+def upgrade0to1(context):
+    ''' Upgrade to version 1.0
+    '''
+    setup = getToolByName(context, 'portal_setup')
+    migration = getToolByName(context,'portal_migration')
+    catalog = getToolByName(context,'portal_catalog')
+    portal_properties = getToolByName(context,'portal_properties')
+    qi = getToolByName(context,'portal_quickinstaller')
+
+    # Install dependencies for this upgrade
+    # List package names
+    packages = [
+                 #'beyondskins.portal.policy',
+               ]
+    # (name,locked,hidden,install,profile,runProfile)
+    dependencies = [(name,locked,hidden,profile) for name,locked,hidden,install,profile,runProfile in PRODUCTS if ((name in packages) and install)]
+    
+    for name,locked,hidden,profile in dependencies:
+        qi.installProduct(name, locked=locked, hidden=hidden, profile=profile)
+    
+    # If we have blob and imaging installed
+    # uncomment lines bellow
+    # profiles = ['profile-plone.app.blob:file-replacement',
+    #            'profile-plone.app.blob:image-replacement',
+    #            ]
+    # for profile in profiles:
+    #     setup.runAllImportStepsFromProfile(profile)

ploneorgbr/portal/policy/version.txt

+0.5
+[egg_info]
+#tag_build = dev
+#tag_svn_revision = true
+
+[distutils]
+index-servers =
+    extranet
+# -*- coding: utf-8 -*-
+from setuptools import setup, find_packages
+import os
+
+version = open(os.path.join("ploneorgbr", "portal", "policy", "version.txt")).read().strip()
+
+setup(name='ploneorgbr.portal.policy',
+      version=version,
+      description="",
+      long_description=open(os.path.join("ploneorgbr", "portal", "policy", "README.txt")).read() + "\n" +
+                       open(os.path.join("docs", "HISTORY.txt")).read(),
+      # Get more strings from http://www.python.org/pypi?%3Aaction=list_classifiers
+      classifiers=[
+        "Framework :: Plone",
+        "Framework :: Zope2",
+        "Framework :: Zope3",
+        "Programming Language :: Python",
+        "Topic :: Software Development :: Libraries :: Python Modules",
+        ],
+      keywords='',
+      author='',
+      author_email='',
+      url='http://svn.plone.org/svn/collective/',
+      license='GPL',
+      packages=find_packages(exclude=['ez_setup']),
+      namespace_packages=['ploneorgbr', 'ploneorgbr.portal'],
+      include_package_data=True,
+      zip_safe=False,
+      install_requires=[
+          'setuptools',
+          # -*- Extra requirements: -*-
+      ],
+      entry_points="""
+      # -*- Entry points: -*-
+
+      [z3c.autoinclude.plugin]
+      target = plone
+      """,
+      )
+
Tip: Filter by directory path e.g. /media app.js to search for public/media/app.js.
Tip: Use camelCasing e.g. ProjME to search for ProjectModifiedEvent.java.
Tip: Filter by extension type e.g. /repo .js to search for all .js files in the /repo directory.
Tip: Separate your search with spaces e.g. /ssh pom.xml to search for src/ssh/pom.xml.
Tip: Use ↑ and ↓ arrow keys to navigate and return to view the file.
Tip: You can also navigate files with Ctrl+j (next) and Ctrl+k (previous) and view the file with Ctrl+o.
Tip: You can also navigate files with Alt+j (next) and Alt+k (previous) and view the file with Alt+o.